From 8baffbc46d740e997c5c7b2958091d74beb7fa99 Mon Sep 17 00:00:00 2001
From: Logan Chien <logan.chien@mediatek.com>
Date: Wed, 12 Feb 2014 20:09:43 +0800
Subject: [PATCH 04/12] std::terminate() should not specify "throw ()" in C++
 98.

---
 include/exception | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/include/exception b/include/exception
index cad802e..681a659 100644
--- a/include/exception
+++ b/include/exception
@@ -112,7 +112,11 @@ _LIBCPP_NORETURN _LIBCPP_FUNC_VIS void unexpected();
 typedef void (*terminate_handler)();
 _LIBCPP_FUNC_VIS terminate_handler set_terminate(terminate_handler) _NOEXCEPT;
 _LIBCPP_FUNC_VIS terminate_handler get_terminate() _NOEXCEPT;
+#if __cplusplus >= 201103L
 _LIBCPP_NORETURN _LIBCPP_FUNC_VIS void terminate() _NOEXCEPT;
+#else
+_LIBCPP_NORETURN _LIBCPP_FUNC_VIS void terminate();
+#endif
 
 _LIBCPP_FUNC_VIS bool uncaught_exception() _NOEXCEPT;
 
-- 
1.9.1.423.g4596e3a

